#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hasql
version:              1.5.0.4
visibility:           public
id:                   hasql-1.5.0.4-CGfLDI2HsvQBloEPmF9uFA
key:                  hasql-1.5.0.4-CGfLDI2HsvQBloEPmF9uFA
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  069563e980c260313b89026cf18bb25b
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hasql-1.5.0.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hasql-1.5.0.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hasql-1.5.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hasql
hs-libraries:         HShasql-1.5.0.4-CGfLDI2HsvQBloEPmF9uFA
depends:
    attoparsec-0.14.4-5WJushYcFmLGCbqKFNMNd6 base-4.17.2.1
    bytestring-0.11.5.3
    bytestring-strict-builder-0.4.5.7-4fUKXDOWqDmKUEcImV33mB
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    dlist-1.0-I6FB5Nlk17hG16fxQzZSEb
    hashable-1.4.4.0-HCcAO2fxJDDEJfuKpVflTS
    hashtables-1.3.1-KeYjvYOna5x2NU7H9NFBpv mtl-2.2.2
    postgresql-binary-0.12.5-8MHpjkakehSFc8YfUtub0Q
    postgresql-libpq-0.9.4.3-9EKBGqszgJV2gOXf0kEzu1
    profunctors-5.6.2-EusqY2gdU3dKhCNwHXd7bF text-2.0.2
    text-builder-0.6.7-GkXdjO91LxE2D08mNhZTlo transformers-0.5.6.2
    vector-0.13.1.0-2w7Kefz4Viy7lxr9yJSbMz

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

